## wildfly:shutdown

Full name:

org.wildfly.plugins:wildfly-maven-plugin:5.0.0.Beta4:shutdown

Description:

Shuts down a running WildFly Application Server.

Can also be used to issue a reload instead of a full shutdown. If a reload is executed the process will wait for the serer to be available before returning.

Attributes:

- Requires a Maven project to be executed.
- The goal is not marked as thread-safe and thus does not support parallel builds.

### Optional Parameters

Name | Type | Since | Description
--- | --- | --- | ---
`<authenticationConfig>` | `URL` | `-` | A URL which points to the authentication configuration (`wildfly-config.xml`) the client uses to authenticate with the server. User Property: `wildfly.authConfig` Alias: `authentication-config`
`<hostname>` | `String` | `-` | Specifies the host name of the server where the deployment plan should be executed. Default: `localhost` User Property: `wildfly.hostname`
`<id>` | `String` | `-` | Specifies the id of the server if the username and password is to be retrieved from the settings.xml file User Property: `wildfly.id`
`<password>` | `String` | `-` | Specifies the password to use if prompted to authenticate by the server. If no password is specified and the server requests authentication the user will be prompted to supply the password, User Property: `wildfly.password`
`<port>` | `int` | `-` | Specifies the port number the server is listening on. Default: `9990` User Property: `wildfly.port`
`<protocol>` | `String` | `-` | The protocol used to connect to the server for management. User Property: `wildfly.protocol`
`<reload>` | `boolean` | `-` | Set to `true` if a `reload` operation should be invoked instead of a `shutdown`. For domain servers this executes a `reload-servers` operation. If set to `true` the process will wait up to the `timeout` limit for the server to be available before returning. Default: `false` User Property: `wildfly.reload`
`<skip>` | `boolean` | `-` | Set to `true` if you want to skip server shutdown, otherwise `false`. Default: `false` User Property: `wildfly.skip`
`<timeout>` | `int` | `-` | The timeout, in seconds, to wait for a management connection. Default: `60` User Property: `wildfly.timeout`
`<username>` | `String` | `-` | Specifies the username to use if prompted to authenticate by the server. If no username is specified and the server requests authentication the user will be prompted to supply the username, User Property: `wildfly.username`

### Parameter Details

#### <authenticationConfig>

A URL which points to the authentication configuration (`wildfly-config.xml`) the client uses to authenticate with the server.

- Type: `java.net.URL`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.authConfig`
- Alias: `authentication-config`

#### <hostname>

Specifies the host name of the server where the deployment plan should be executed.

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.hostname`
- Default: `localhost`

#### <id>

Specifies the id of the server if the username and password is to be retrieved from the settings.xml file

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.id`

#### <password>

Specifies the password to use if prompted to authenticate by the server.

If no password is specified and the server requests authentication the user will be prompted to supply the password,

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.password`

#### <port>

Specifies the port number the server is listening on.

- Type: `int`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.port`
- Default: `9990`

#### <protocol>

The protocol used to connect to the server for management.

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.protocol`

#### <reload>

Set to `true` if a `reload` operation should be invoked instead of a `shutdown`. For domain servers this executes a `reload-servers` operation. If set to `true` the process will wait up to the `timeout` limit for the server to be available before returning.

- Type: `boolean`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.reload`
- Default: `false`

#### <skip>

Set to `true` if you want to skip server shutdown, otherwise `false`.

- Type: `boolean`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.skip`
- Default: `false`

#### <timeout>

The timeout, in seconds, to wait for a management connection.

- Type: `int`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.timeout`
- Default: `60`

#### <username>

Specifies the username to use if prompted to authenticate by the server.

If no username is specified and the server requests authentication the user will be prompted to supply the username,

- Type: `java.lang.String`
- Required: `report.plugin.goal.no`
- User Property: `wildfly.username`